{
  lib,
  inputs,
  modulesPath,
  ...
}: {
  imports = with inputs.nixos-hardware.nixosModules; [
    (modulesPath + "/installer/scan/not-detected.nix")
    common-cpu-intel
    common-gpu-intel-kaby-lake
    common-hidpi
    common-pc-laptop-ssd
  ];
  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.enableRedistributableFirmware = true;

  services = {
    logind = {
      lidSwitch = "ignore";
      powerKey = "suspend";
    };

    udev.extraHwdb = ''
      evdev:input:b0011v0001p0001eAB83*
        KEYBOARD_KEY_d5=sysrq
        KEYBOARD_KEY_d4=leftmeta
        KEYBOARD_KEY_95=brightnessdown
        KEYBOARD_KEY_91=brightnessup
    '';

    keyd = {
      enable = true;
      keyboards = {
        default = {
          ids = ["0001:0001"];
          settings = {
            main = {
              camera = "brightnessdown";
              prog1 = "brightnessup";
              # home row mods
              a = "lettermod(alt, a, 200, 150)";
              s = "lettermod(meta, s, 200, 150)";
              d = "lettermod(control, d, 200, 150)";
              f = "lettermod(shift, f, 200, 150)";
              j = "lettermod(shift, j, 200, 150)";
              k = "lettermod(control, k, 200, 150)";
              l = "lettermod(meta, l, 200, 150)";
              ";" = "lettermod(alt, ;, 200, 150)";
            };
          };
        };
      };
    };
  };
}
