{
  pkgs,
  lib,
  inputs,
  config,
  ...
}:
with lib; let
  cfg = config.editor.neve;
in {
  imports = [
    inputs.nixvim.homeManagerModules.nixvim
  ];
  options = {
    editor.neve.enable =
      mkEnableOption "enable neve neovim distribution";
  };
  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      neovide
      cpplint
      statix
    ];
    programs.nixvim = {
      enable = true;
      imports = [inputs.neve.nixvimModule];
      viAlias = true;
      vimAlias = true;
    };
  };
}
